关闭

在终端terminal运行ReactNative程序经常出现的问题

标签: ReactNativeiOS终端Errorterminal
5996人阅读 评论(0) 收藏 举报
分类:

各种问题汇总:


1、Unable to resolve modules lodash  (这里举例lodash,这个lodash也可以是别的。意思就是缺少当前模块,所以需要安装)

npm install lodash --save

 或(制定版本的命令): npm install lodash@3.10.1 



2、babel@5.8.38 should be installed with -g

npm install babel@5.8.38 -g



3、Unable to resolve module react from  ... (同1)

npm install react --save

npm install --save react@^0.14.5



4、Command `run-ios` unrecognized. Did you mean to run this inside a react-native project?

npm install -g react-native-cli

npm install --save react-native@latest


5、Rails is not currently installed on this system. 

sudo gem install rails  //安装


6、终端install pod报错:

pod not found after install, “pod setup” returns: Could not find 'cocoapods' (>= 0) among 64 total gem(s) (Gem::LoadError)

sudo gem install cocoapods


1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:31445次
    • 积分:570
    • 等级:
    • 排名:千里之外
    • 原创:26篇
    • 转载:0篇
    • 译文:0篇
    • 评论:3条
    最新评论